package házalaprajz;

import java.awt.geom.Point2D;
import javax.swing.JPanel;

/**
 * @author Daniel "3ICE" Berezvai
 */
public class HázAlaprajz extends JPanel {

  /**
   * @param args the command line arguments
   */
  public static void main(String[] args) {
    Room r = new Room(0, 0, 15, 4, 0.1, "Előszoba");
    House h = new House(r, "Példa Ház #1");
    h.addRoom(new Point2D.Double(20, 30), new Point2D.Double(14, 4), 0.3, "Konyha");
    h.addRoom(new Point2D.Double(3, 4), 12, 4, 0.2, "Nappali");

    System.out.println("A \"" + h.getName() + "\" ház területe: " + h.area() + " m²");
    System.out.println("Szobái:");
    int i = 0;
    for (Room szoba : h.getSzobák()) {
      i++;
      System.out.println("Szoba #" + i + ":");
      System.out.println("\tNeve: \"" + szoba.getName() + "\"");
      System.out.println("\tFalvastagsága: " + szoba.getThickness() + " m");
      System.out.println("\tKoordinátái: " + szoba.getCoords());
      System.out.println("\tOldalai: " + szoba.getA() + " m és " + szoba.getB() + " m");
      System.out.println("\tTerülete: " + szoba.getArea() + " m²");
      System.out.println();
    }
    System.out.println("A \"" + h.getName() + "\" ház területe még egyszer: " + h.area() + " m²");

  }
}